/*  
for small labtops 
64rem == 1024px
*/

@media (width < 64rem) {
  html {
    font-size: 56%;
  }

  .hero-content {
    width: 100%;
  }

  .section-how-cards {
    grid-template-columns: repeat(2, 1fr);
  }

  .about-section .about {
    grid-template-columns: 1fr;
    align-items: center;
    justify-items: center;
  }

  .about-content {
    grid-column: 1;
  }

  .about-section .about-img-box {
    position: initial;
  }

  .features {
    grid-template-columns: 1fr;
  }

  .statistics {
    max-width: 80rem;
  }

  .statistics-cards {
    grid-template-columns: repeat(2, 1fr);
  }

  .video {
    grid-template-columns: 1fr;
    max-width: 80rem;
    padding-bottom: 2.4rem;
  }

  .video-thumb .details {
    padding-left: 0;
  }

  .plans {
    grid-template-columns: repeat(2, 1fr);
    row-gap: 4.8rem;
  }

  .plans .juicy {
    grid-column: 1/-1;
    width: calc(50% - 2.6rem);
    margin: auto;
  }

  .testimonials {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .footer-container .footer-row-1 {
    grid-template-columns: repeat(2, 1fr);
    justify-items: normal;
  }
}

/* 
for tablets
784px == 49rem
*/

@media (width < 49rem) {
  .main-title {
    font-size: 3.6rem;
  }

  .hero-content h1 {
    font-size: 5.2rem;
  }

  .burger-icon {
    display: block;
    z-index: 2000;
  }

  nav {
    background-color: rgb(255, 255, 255, 0.99);
    position: absolute;
    top: 0;
    left: 0;
    height: 100vh;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
    transform: translateX(100%);
  }

  .navIsOpen.main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }

  .list-links {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: auto;
  }

  .list-links .nav-link:link,
  .list-links .nav-link:visited {
    font-size: 3.6rem;
  }

  .list-links .nav-link:focus ~ nav {
    display: none;
  }

  .list-links li:last-child {
    margin-left: 0;
  }

  .list-links i {
    font-size: 2rem;
  }

  .section-how-title {
    gap: 2.6rem;
  }

  .section-how-card {
    padding: 3.2rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .about {
    padding: 3.2rem;
  }

  .about-content .about-text {
    text-align: center;
  }
  .about-content .about-row {
    flex-direction: column;
  }

  .testimonials {
    padding: 3.2rem;
    font-size: 1.8rem;
  }

  .footer-container .footer-row-1 {
    grid-template-columns: 1fr;
    justify-items: center;
    text-align: center;
    gap: 4.8rem;
  }

  .footer-row-1 > * {
    align-items: center;
    justify-content: center;
  }

  .footer-row-2 {
    justify-content: center;
  }
  .footer-row-2 .copy-rights {
    margin: 0;
  }

  .plans .plan {
    padding: 2.4rem 3.2rem;
  }
}

/* 
for mobile
550px == 34rem
 */

@media (width < 34rem) {
  .header-container {
    padding-top: 1.6rem;
    padding-bottom: 1.6rem;
  }

  .list-links .nav-link:link,
  .nav-link:visited {
    font-size: 3rem;
  }

  .list-links i {
    font-size: 1.6rem;
  }

  .hero h1 {
    font-size: 4.4rem;
  }

  .main-title {
    font-size: 3rem;
  }

  .section-how-title {
    text-align: center;
    justify-content: center;
    gap: 1.6rem;
  }
  .section-how-cards {
    grid-template-columns: 1fr;
  }

  .about-img-box {
    display: none;
  }

  .feature {
    padding: 3.2rem 2.4rem 3.2rem 6.4rem;
    width: 100%;
  }

  .feature h4 {
    font-size: 2rem;
  }

  .feature p {
    font-size: 1.4rem;
  }

  .statistics-cards {
    grid-template-columns: 1fr;
  }

  .plans {
    grid-template-columns: 1fr;
    row-gap: 4.8rem;
  }

  .plans .juicy {
    width: auto;
    margin: 0;
  }

  .testimonials {
    font-size: 1.6rem;
  }
}
